#include "Mouse.h"

const int ativaEntrada = 4;
const int pinoLed = 8;

bool entradaAtiva = false; 
int ultimoEstadoAtivaEntrada = HIGH;

int valorEixoX = 0;
int valorEixoY = 0;
int angulo = 0;

void setup() 
{
  Mouse.begin();
  
  pinMode(ativaEntrada, INPUT_PULLUP);
  pinMode(pinoLed, OUTPUT);
}

void loop() 
{
  int estadoLigaEntrada = digitalRead(ativaEntrada);
  
  //Verifica se o botão de ativação para controle do mouse foi pressionado
  if(estadoLigaEntrada != ultimoEstadoAtivaEntrada) 
  {
    if(estadoLigaEntrada == LOW) 
    {
      entradaAtiva = !entradaAtiva;
      digitalWrite(pinoLed, entradaAtiva);
    }
  }
  
  ultimoEstadoAtivaEntrada = estadoLigaEntrada;
  
  //Somente controla o mouse se o botão de ativação for pressionado
  if(entradaAtiva)
  {
    if(angulo > 360)
    {
      angulo = 0;
    }
    
    valorEixoX = sin(angulo*(PI/180))*7;
    valorEixoY = cos(angulo*(PI/180))*7;
    
    Mouse.move(valorEixoX, valorEixoY, 0); //Terceiro parâmetro controla o scroll do mouse
    
    angulo++;
    
    delay(10);
  }
}
